Package net.shibboleth.idp.saml.xmlobject.impl

# Class ScopeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
net.shibboleth.idp.saml.xmlobject.impl.ScopeImpl

All Implemented Interfaces:
  `Scope`, `XSString`, `XMLObject`

@NotThreadSafe public class ScopeImpl extends AbstractXMLObject implements Scope
Implementation of `Scope`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private XSBooleanValue`
`regexp`
The regexp attribute value.
`private String`
`scopeValue`
The string content value.

### Fields inherited from interface net.shibboleth.idp.saml.xmlobject.Scope

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, REGEXP_ATTRIB_NAME`

### Fields inherited from interface org.opensaml.core.xml.schema.XSString

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ScopeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
`Boolean`
`getRegexp()`
Get the regexp attribute value.
`XSBooleanValue`
`getRegexpXSBoolean()`
Get the regexp attribute value.
`String`
`getValue()`
`void`
`setRegexp(Boolean newRegexp)`
Set the regexp attribute value.
`void`
`setRegexp(XSBooleanValue newRegexp)`
Set the regexp attribute value.
`void`
`setValue(String newScopeValue)`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### regexp

@Nullable private XSBooleanValue regexp
The regexp attribute value.

### scopeValue

@Nullable private String scopeValue
The string content value.

## Constructor Details

### ScopeImpl

protected ScopeImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getRegexp

@Nullable public Boolean getRegexp()
Get the regexp attribute value.

Specified by:
  `getRegexp` in interface `Scope`
Returns:
  the regexp attribute value

### setRegexp

public void setRegexp(@Nullable Boolean newRegexp)
Set the regexp attribute value.

Specified by:
  `setRegexp` in interface `Scope`
Parameters:
  `newRegexp` - the new regexp attribute value

### getRegexpXSBoolean

@Nullable public XSBooleanValue getRegexpXSBoolean()
Get the regexp attribute value.

Specified by:
  `getRegexpXSBoolean` in interface `Scope`
Returns:
  the regexp attribute value

### setRegexp

public void setRegexp(@Nullable XSBooleanValue newRegexp)
Set the regexp attribute value.

Specified by:
  `setRegexp` in interface `Scope`
Parameters:
  `newRegexp` - the new regexp attribute value

### getValue

@Nullable public String getValue()

Specified by:
  `getValue` in interface `XSString`

### setValue

public void setValue(@Nullable String newScopeValue)

Specified by:
  `setValue` in interface `XSString`

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()

Specified by:
  `getOrderedChildren` in interface `XMLObject`